---
title: BasicCardRequest.supportedNetworks
slug: Web/API/BasicCardRequest/supportedNetworks
tags:
  - API
  - Basic Card Payment
  - BasicCardRequest
  - Experimental
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - supportedNetworks
---
<p>{{securecontext_header}}{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>supportedNetworks</code></strong> property of the {{domxref("BasicCardRequest")}} dictionary contains an array of {{domxref("DOMString")}}s representing the card networks that the retailer supports (e.g. <code>amex</code>, <code>mastercard</code>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>supportedNetworks</em> : [<em>value [,</em> <em>...</em> <em>value]</em>]</pre>

<h3 id="Value">Value</h3>

<p>An array containing one or more {{domxref("DOMString")}}s, which describe the card networks the retailer supports. Legal values are defined in the W3C's document <a href="https://www.w3.org/Payments/card-network-ids">Card Network Identifiers Approved for use with Payment Request API</a>, and are currently:</p>

<ul>
 <li><code>amex</code></li>
 <li><code>cartebancaire</code></li>
 <li><code>diners</code></li>
 <li><code>discover</code></li>
 <li><code>jcb</code></li>
 <li><code>mastercard</code></li>
 <li><code>mir</code></li>
 <li><code>unionpay</code></li>
 <li><code>visa</code></li>
</ul>

<h2 id="Example">Example</h2>

<p>The following example shows a sample definition of the first parameter of the {{domxref("PaymentRequest.PaymentRequest", "PaymentRequest()")}} constructor, the <code>data</code> property of which contains <code>supportedNetworks</code> and <code>supportedTypes</code> properties.</p>

<pre class="brush: js">var supportedInstruments = [{
  supportedMethods: 'basic-card',
  data: {
    supportedNetworks: ['visa', 'mastercard', 'amex', 'jcb',
                        'diners', 'discover', 'mir', 'unionpay'],
    supportedTypes: ['credit', 'debit']
  }
}];

var details = { ... };

var options = { ... };

var request = new PaymentRequest(supportedInstruments, details, options);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Basic Card Payment', '#dom-basiccardrequest-supportednetworks', 'supportedNetworks')}}</td>
   <td>{{Spec2('Basic Card Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BasicCardRequest.supportedNetworks")}}</p>
</div>
